Package org.eclipse.rdf4j.spring.demo.service

## Class ArtService

- java.lang.Object
- - org.eclipse.rdf4j.spring.demo.service.ArtService

-     @Component
      public class ArtService
      extends Object

  Uses `ArtistDao` and `PaintingDao` to query and manipulate the repository.
  Since:
    4.0.0
  Author:
    Florian Kleedorfer

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArtService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `IRI` | `addArtist​(Artist artist)` |
    `IRI` | `addPainting​(Painting painting)` |
    `Artist` | `createArtist​(String firstName, String lastName)` |
    `Painting` | `createPainting​(String title, String technique, IRI artist)` |
    `List<Artist>` | `getArtists()` |
    `Set<Artist>` | `getArtistsWithoutPaintings()` |
    `List<Painting>` | `getPaintings()` |
    `Map<Artist,​Set<Painting>>` | `getPaintingsGroupedByArtist()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ArtService

          public ArtService()

  - ### Method Detail

    - #### createArtist

          @Transactional
          public Artist createArtist​(String firstName,
                                     String lastName)

    - #### createPainting

          @Transactional
          public Painting createPainting​(String title,
                                         String technique,
                                         IRI artist)

    - #### getPaintings

          @Transactional
          public List<Painting> getPaintings()

    - #### getArtists

          @Transactional
          public List<Artist> getArtists()

    - #### getArtistsWithoutPaintings

          @Transactional
          public Set<Artist> getArtistsWithoutPaintings()

    - #### getPaintingsGroupedByArtist

          @Transactional
          public Map<Artist,​Set<Painting>> getPaintingsGroupedByArtist()

    - #### addArtist

          @Transactional
          public IRI addArtist​(Artist artist)

    - #### addPainting

          @Transactional
          public IRI addPainting​(Painting painting)